isEmpty(INSTALL_ROOT) {
    INSTALL_ROOT = /usr/local/cumbia-libs
}
isEmpty(prefix) {
    prefix = $${INSTALL_ROOT}
}
isEmpty(CUMBIA_ROOT) {
    CUMBIA_ROOT=$${prefix}
}

exists($${CUMBIA_ROOT}/include/cumbia-tango) {
    INCLUDEPATH += $${CUMBIA_ROOT}/include/cumbia-tango
    LIBS += -lcumbia-tango
} else {
    error("cumbia-tango installation not found under $${CUMBIA_ROOT}")
}

exists($${CUMBIA_ROOT}/include/quapps/quapps.pri) {
    include ($${CUMBIA_ROOT}/include/quapps/quapps.pri)
} else {
    error("cumbia-qtcontrols installation not found under $${CUMBIA_ROOT}")
}

isEmpty(INSTALL_ROOT) {
    INSTALL_ROOT = /usr/local/cumbia-libs
}

isEmpty(buildtype) {
        buildtype = release
} else {
    equals(buildtype, debug) {
        message("debug build")
    }
}

MAKEFILE=Makefile.qmake

TEMPLATE = lib
CONFIG += plugin $${buildtype}
QT      += core gui

QUMBIA_PLUGINS_INCLUDES=$${INSTALL_ROOT}/include/qumbia-plugins
QUMBIA_PLUGINS_SHARE=$${INSTALL_ROOT}/share/qumbia-plugins
QUMBIA_PLUGINS_LIBDIR=$${INSTALL_ROOT}/lib/qumbia-plugins
QUMBIA_PLUGINS_DOCDIR=$${INSTALL_ROOT}/share/doc/qumbia-plugins

INC_DIR = $${QUMBIA_PLUGINS_INCLUDES}
SHAREDIR = $${QUMBIA_PLUGINS_SHARE}
PLUGIN_LIB_DIR = $${QUMBIA_PLUGINS_LIBDIR}

DESTDIR = plugins
DEFINES += CUMBIAQTCONTROLS_HAS_QWT=1

!isEmpty(docs) {
    DOC_DIR = $${QUMBIA_PLUGINS_DOCDIR}
    doc.commands = \
    doxygen \
    Doxyfile;
    doc.files = doc/*
    doc.path = $${DOC_DIR}
    QMAKE_EXTRA_TARGETS += doc
    INSTALLS += doc
}
else {
    message("call qmake docs=1 to generate and install docs")
}


DEFINES_QUMBIA_PLUGINS_LIBDIR = $${prefix}/lib/qumbia-plugins

# added by cumbia-qtcontrols.pri, not included by this file
#
DEFINES += \
    CUMBIA_QTCONTROLS_PLUGIN_DIR=\"\\\"$${DEFINES_QUMBIA_PLUGINS_LIBDIR}\\\"\" \

SOURCES += \
    src/actionextensions.cpp \
    src/cuengineswitchdialog.cpp \
    src/gettdbpropertyextension.cpp \
    src/actionextensionfactory.cpp \
    src/infodialogextension.cpp \
    src/cuinfodialog.cpp \
    src/cuapplicationlauncherextension.cpp \
    src/engineswitchdialogextension.cpp

HEADERS += \
    src/actionextensions.h \
    src/cuengineswitchdialog.h \
    src/gettdbpropertyextension.h \
    src/actionextensionfactory.h \
    src/infodialogextension.h \
    src/cuinfodialog.h \
    src/cuapplicationlauncherextension.h \
    src/engineswitchdialogextension.h
DISTFILES += actions-extension.json 


unix.INCLUDEPATH += src

TARGET = actions-extension-plugin
target.path = $${PLUGIN_LIB_DIR}
inc.files += $${HEADERS}
inc.path = $${INC_DIR}

INSTALLS += target inc
